Package org.eclipse.m2m.atl.emftvm.impl

# Class ModelImpl.InstanceOfList.InstanceOfIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<org.eclipse.emf.ecore.EObject>
LazyCollection<org.eclipse.emf.ecore.EObject>.org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
org.eclipse.m2m.atl.emftvm.impl.ModelImpl.InstanceOfList.InstanceOfIterator

All Implemented Interfaces:
  `Iterator<org.eclipse.emf.ecore.EObject>`

Enclosing class:
  `ModelImpl.InstanceOfList`

public class ModelImpl.InstanceOfList.InstanceOfIterator extends LazyCollection<org.eclipse.emf.ecore.EObject>.CachingIterator
`Iterator` for `ModelImpl.InstanceOfList`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.emf.ecore.EObject`
`next`
`protected boolean`
`nextSet`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

## Constructor Summary

Constructors
Constructor
Description
`InstanceOfIterator()`
Creates a new `ModelImpl.InstanceOfList.InstanceOfIterator`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`org.eclipse.emf.ecore.EObject`
`next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### next

protected org.eclipse.emf.ecore.EObject next

### nextSet

protected boolean nextSet

## Constructor Details

### InstanceOfIterator

public InstanceOfIterator()
Creates a new `ModelImpl.InstanceOfList.InstanceOfIterator`.

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<org.eclipse.emf.ecore.EObject>`
Overrides:
  `hasNext` in class `LazyCollection<org.eclipse.emf.ecore.EObject>.CachingIterator`

### next

public org.eclipse.emf.ecore.EObject next()

Specified by:
  `next` in interface `Iterator<org.eclipse.emf.ecore.EObject>`
Overrides:
  `next` in class `LazyCollection<org.eclipse.emf.ecore.EObject>.CachingIterator`